%global momorel 1
Summary: Install Debian, Slackware, and Stampede packages with rpm.
Name: alien
Version: 8.64
Release: %{momorel}m
URL: http://kitenet.net/programs/alien/
Source0: http://ftp.debian.org/debian/pool/main/a/%{name}/%{name}_%{version}.tar.gz
License: GPL
Group: Applications/File
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl
BuildPrereq: perl >= 5.8.7
BuildArch: noarch

%description
Alien allows you to convert Debian, Slackware, and Stampede Packages into Red
Hat packages, which can be installed with rpm.

It can also convert into Slackware, Debian and Stampede packages.

This is a tool only suitable for binary packages.

%prep
%setup -q -n alien
CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make pure_install INSTALLDIRS=perl PERL_INSTALL_ROOT=%{buildroot} \
  PREFIX=%{buildroot}%{_prefix} \
  INSTALLARCHLIB=%{buildroot}/killme \
  VARPREFIX=%{buildroot}
rm -rf %{buildroot}/killme
find %{buildroot} -not -type d -printf "/%%P\n" > manifest
chmod 644 %{buildroot}%{_mandir}/man?/*

%define perl_privlib %(eval "`perl -V:installprivlib`"; echo $installprivlib)

# remove unwanting file
rm -rf %{buildroot}/var/tmp

%files
%defattr(-,root,root)
%doc debian/changelog README alien.lsm
%{_bindir}/alien
%dir %{perl_privlib}/Alien
%dir %{perl_privlib}/Alien/Package
%{perl_privlib}/Alien/Package/Deb.pm
%{perl_privlib}/Alien/Package/Lsb.pm
%{perl_privlib}/Alien/Package/Pkg.pm
%{perl_privlib}/Alien/Package/Rpm.pm
%{perl_privlib}/Alien/Package/Slp.pm
%{perl_privlib}/Alien/Package/Tgz.pm
%{perl_privlib}/Alien/Package.pm
%{_mandir}/man1/alien.1*
%{_mandir}/man3/Alien::Package.3*
%{_mandir}/man3/Alien::Package::Deb.3*
%{_mandir}/man3/Alien::Package::Rpm.3*
%{_mandir}/man3/Alien::Package::Slp.3*
%{_mandir}/man3/Alien::Package::Tgz.3*
%{_mandir}/man3/Alien::Package::Lsb.3*
%{_mandir}/man3/Alien::Package::Pkg.3*
%dir %{_datadir}/alien
%dir %{_datadir}/alien/patches
%{_datadir}/alien/patches/*

%clean
rm -rf %{buildroot}

%changelog
* Thu Apr 20 2006 Koichi NARITA <pulsar@sea.plala.or.jp>
- (8.64-1m)
- update to 8.64
- No NoSource

* Thu Feb 9 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (8.61-2m)
- rebuild against perl-5.8.8

* Sun Jan  8 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (8.61-1m)
- update to 8.61

* Thu Dec 15 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (8.60-1m)
- update to 8.60

* Sat Jul 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (8.56-1m)
- up to 8.56

* Mon Jun 13 2005 Kazuhiko <kazuhiko@fdiary.net>
- (8.52-2m)
- rebuild against perl-5.8.7

* Wed May 18 2005 Kazuya Iwamoto <iwapi@momonga-linux.org>
- (8.52-1m)
- up to 8.52

* Thu Mar 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (8.51-1m)
- up to 8.51

* Thu Nov 04 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (8.47-1m)
- up to 8.47

* Sat Aug 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (8.46-2m)
- rebuild against perl-5.8.5

* Sat Aug 14 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (8.46-1m)
  update to 8.46

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (8.44-2m)
- remove Epoch from BuildPrereq

* Mon Mar 29 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (8.44-1m)
- update to 8.44

* Tue Mar 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (8.43-1m)
- update to 8.43

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (8.41-2m)
- revised spec for enabling rpm 4.2.

* Sat Dec  6 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (8.41-1m)
- update to 8.41

* Mon Nov 24 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.40-1m)
- update to 8.40

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.34-3m)
- rebuild against perl-5.8.2

* Sat Nov  8 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (8.34-2m)
- rebuild against perl-5.8.1

* Sat Aug 2 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (8.34-1m)
- version up

* Tue Jul  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (8.33-1m)

* Tue Jul  8 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (8.31-1m)
- update to 8.31

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.25-1m)
- update to 8.25

* Mon Mar 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.24-1m)
- update to 8.24

* Tue Dec 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (8.21-2m)
- 'BuildArch: noarch'

* Mon Dec 02 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.21-1m)
- update to 8.21

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (8.20-2m)
- rebuild against perl-5.8.0

* Tue Aug 27 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (8.20-1m)
- up to 8.20

* Wed Jul 24 2002 smbd <smbd@momonga-linux.org>
- (8.16-1m)
- up to 8.16

* Tue Jul  2 2002 Kazuhiko <kazuhiko@fdiary.net>
- (8.12-1m)

* Mon May 20 2002 Kenta MURATA <muraken@kondara.org>
- (8.07-2k)
- up to 8.07

* Wed Apr 17 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (8.05-2k)
- up to 8.05

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (0.8.0-8k)
- correct file list

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- rebuild against for perl 5.6.1

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- update to 8.0

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- nigittenu

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Sun Jul  2 2000 Toru Hoshina <t@kondara.org>
- version up.
- rebuild against perl 5.6.0

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P
